Đến nội dung


Hình ảnh

không explore được đối tượng 3D face!!


  • Please log in to reply
2 replies to this topic

#1 xaydung

xaydung

    biết lệnh trim

  • Members
  • PipPipPip
  • 191 Bài viết
Điểm đánh giá: 12 (tàm tạm)

Đã gửi 30 December 2007 - 08:28 PM

Các anh ơi , em có 1 đối tượng là 3D face trên màn hình dạng 1 hình chữ nhật nhưng không thể phá nó ra thành 4 cạch line được, có ai biết thì chỉ giúp mình , mình cám ơn nhiều??
  • 0

#2 Nguyen Hoanh

Nguyen Hoanh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 4105 Bài viết
Điểm đánh giá: 4495 (đỉnh cao)

Đã gửi 30 December 2007 - 09:20 PM

Các anh ơi , em có 1 đối tượng là 3D face trên màn hình dạng 1 hình chữ nhật nhưng không thể phá nó ra thành 4 cạch line được, có ai biết thì chỉ giúp mình , mình cám ơn nhiều??

Lệnh ex3f (explode 3dFace) dưới đây sẽ làm điều đó.


(defun c:ex3f ()
(defun ex3fone (ent)
(setq
p1 (dxf ent 10)
p2 (dxf ent 11)
p3 (dxf ent 12)
p4 (dxf ent 13)
)
(ml p1 p2)
(ml p2 p3)
(ml p3 p4)
(ml p4 p1)
)
(sudung ex3fone (setq ss (ssget '((0 . "3DFACE")))))
(initget "Yes No")
(if (/= (getkword "\nErase 3DFace(s)? (<Yes>/No): ") "No")
(command ".erase" ss "")
)
(princ)
)
(defun dxf (ent c)
(cdr (assoc c (entget ent)))
)
(defun ml (p1 p2)
(entmake (list (cons 0 "LINE") (cons 10 p1) (cons 11 p2)))
)
(defun sudung (ham ss / sodt index entdt soapp)
(setq sodt (if ss
(sslength ss)
0
)
soapp 0
index 0
)
(repeat sodt
(setq entdt (ssname ss index)
index (1+ index)
)
(if (ham entdt)
(setq soapp (1+ soapp))
)
)
soapp
)

  • 0

#3 letruong295

letruong295

    biết zoom

  • Members
  • Pip
  • 11 Bài viết
Điểm đánh giá: -1 (bình thường)

Đã gửi 06 July 2015 - 11:34 AM

Lệnh ex3f (explode 3dFace) dưới đây sẽ làm điều đó.

(defun c:ex3f ()
(defun ex3fone (ent)
(setq
p1 (dxf ent 10)
p2 (dxf ent 11)
p3 (dxf ent 12)
p4 (dxf ent 13)
)
(ml p1 p2)
(ml p2 p3)
(ml p3 p4)
(ml p4 p1)
)
(sudung ex3fone (setq ss (ssget '((0 . "3DFACE")))))
(initget "Yes No")
(if (/= (getkword "\nErase 3DFace(s)? (<Yes>/No): ") "No")
(command ".erase" ss "")
)
(princ)
)
(defun dxf (ent c)
(cdr (assoc c (entget ent)))
)
(defun ml (p1 p2)
(entmake (list (cons 0 "LINE") (cons 10 p1) (cons 11 p2)))
)
(defun sudung (ham ss / sodt index entdt soapp)
(setq sodt (if ss
(sslength ss)
0
)
soapp 0
index 0
)
(repeat sodt
(setq entdt (ssname ss index)
index (1+ index)
)
(if (ham entdt)
(setq soapp (1+ soapp))
)
)
soapp
)

Bác Hoành ơi!

 

 Cái lisp này có explode  được hình Polyface Mesh không?  Hoặc bác cho em cái Lisp để Explode hình Polyface Mesh nhé! Thanks!

 VD cái hình này!


  • 0